Skip to main content

rotr-qa.api.lifeishard.ro (1.0)

Download OpenAPI specification:Download

License: Apache 2.0

RotrApi documentation

Changelog

Authentication

Authenticate

Authenticate an account by account/password

query Parameters
account
required
string

Account

password
required
string

Password

Responses

Response samples

Content type
application/json
{
  • "error": "false",
  • "status": "200",
  • "data": {
    }
}

Deautenticate

Deautenticate an existing and valid auth token

Responses

Renew token

Renew an authentication token

header Parameters
Token
required
string
Example: Refresh [refresh_token]

The Refresh token received from the POST /auth or PATCH /auth endpoint's response field name refresh_token.

Responses

Response samples

Content type
application/json
{
  • "error": "false",
  • "status": "200",
  • "data": {
    }
}

Products

Generate offer

Generate an offer based on the input fields

header Parameters
Token
required
string
Request Body schema: application/json
required

JSON format body

required
object
required
object
object (Agreements)

Responses

Request samples

Content type
application/json
{
  • "provider": {
    },
  • "product": {
    },
  • "agreements": {
    }
}

Response samples

Content type
application/json
{
  • "data": {
    }
}

Offer PDF file

Retrive offer PDF file

path Parameters
id
required
integer

Offer identification number

header Parameters
Token
required
string

Responses

Response samples

Content type
application/json
{
  • "data": {
    }
}

Offer status query

Retrieve offer status by ID

path Parameters
id
required
integer

Offer identification number

header Parameters
Token
required
string

Responses

Response samples

Content type
application/json
{
  • "data": {
    }
}

Policy PDF file

Retrieve policy PDF file

query Parameters
series
required
string
Example: series=ROT

Policy series

number
required
string
Example: number=1234567890

Policy number

header Parameters
Token
required
string

Responses

Response samples

Content type
application/json
{
  • "data": {
    }
}

Issue offer

Issuing a selected offer

header Parameters
Token
required
string
Request Body schema: application/json
required

JSON formatted body

offerId
required
integer
required
object (Payment)
object (Person)

Responses

Request samples

Content type
application/json
{
  • "offerId": "23",
  • "payment": {
    },
  • "payer": {
    }
}

Response samples

Content type
application/json
{
  • "data": {
    }
}

Policy PDF file

Retrieve policy PDF file

path Parameters
id
required
integer

Policy identification number

header Parameters
Token
required
string

Responses

Response samples

Content type
application/json
{
  • "data": {
    }
}

Nomenclatures

General nomenclatures

List of countries

header Parameters
Token
required
string

Responses

Response samples

Content type
application/json
{
  • "data": [
    ]
}

List of countries

header Parameters
Token
required
string

Responses

Response samples

Content type
application/json
{
  • "data": [
    ]
}

List of localities filtered by county code

path Parameters
county_code
required
integer

County code

header Parameters
Token
required
string

Responses

Response samples

Content type
application/json
{
  • "data": [
    ]
}

Phoenix CMR nomenclatures

List of transported goods categories for CMR

header Parameters
Token
required
string

Responses

Response samples

Content type
application/json
{
  • "data": [
    ]
}

List of vehicle makes

header Parameters
Token
required
string

Responses

Response samples

Content type
application/json
{
  • "data": [
    ]
}

List of vehicle types

header Parameters
Token
required
string

Responses

Response samples

Content type
application/json
{
  • "data": [
    ]
}

Phoenix ROT nomenclatures

List of vehicle makes

header Parameters
Token
required
string

Responses

Response samples

Content type
application/json
{
  • "data": [
    ]
}

Auxiliary methods

Auxiliary methods

Get pending offer's data

If an offer is pending (it needs to be approved, it needs to be confirmed or it is active) then this endpoint returns informations about it

header Parameters
Token
required
string
Request Body schema: application/json
required

JSON format body

required
object
ean13
required
number

ean13 code of the offer from the provider's offer response

Responses

Request samples

Content type
application/json
{
  • "provider": {
    },
  • "ean13": "3876866826729"
}

Response samples

Content type
application/json
{
  • "data": {
    }
}